# Get Certification Result

Returns result details by id, including any special properties, decisions, and notes.

| Method | syntax                                                                   |
| ------ | ------------------------------------------------------------------------ |
| GET    | /api/preview/awf/certifications/{certification\_id}/results/{result\_id} |

**Parameters**

| Name               | Type   | Req. | Description               |
| ------------------ | ------ | ---- | ------------------------- |
| `certification_id` | string | Y    | Certification `id`        |
| `result_id`        | string | Y    | Result number to retrieve |

#### Examples

**Request**

```bash
curl '{{VEZA_URL}}/api/preview/awf/certifications/f9123002-978f-f203bc9885ed/results/0' \
  -H 'authorization: Bearer '$token
```

**Response**

For more information about the Result object see [Workflows Parameters](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/parameters.md).

```json
{
    "value": {
        "result_id": 0,
        "source": {
            "aliases": [],
            "created_at": "2023-05-03T14:25:43Z",
            "datasource_id": "datasource:google_cloud_workspace",
            "email_addresses": [
                "jdoe@cookiebeta.ai",
                "jdoe@cookiebeta.ai.test-google-a.com",
                "jdoe@veza.com"
            ],
            "full_admin": false,
            "google_cloud_organization_name": "organizations/123456789012",
            "guest": false,
            "id": "datasource:112655590859538682841",
            "idp_unique_id": "jdoe@cookiebeta.ai",
            "is_active": true,
            "last_login_at": "2023-05-10T15:25:04Z",
            "location_areas": [],
            "mfa_enabled": false,
            "name": "jdoe@cookiebeta.ai",
            "organization_names": [],
            "provider_id": "datasource",
            "suspended": false,
            "type": "GoogleWorkspaceUser",
            "tags": [
                {
                    "key": "department",
                    "type": "VEZA",
                    "value": "engineering"
                }
            ]
        },
        "destination": {
            "created_at": "2021-11-01T14:23:35Z",
            "datasource_id": "datasource:google_cloud_iam",
            "google_cloud_organization_name": "organizations/123456789012",
            "id": "projects/743979515322",
            "name": "Dev GCP Project",
            "parent_id": "organizations/123456789012",
            "project_id": "striped-graph-330814",
            "provider_id": "datasource",
            "type": "GoogleCloudProject",
            "updated_at": "2022-04-07T22:08:48Z"
        },
        "accumulated_effective_permissions": [],
        "accumulated_raw_permissions": [
            "bigquery.datasets.get",
            "bigquery.datasets.getIamPolicy",
            "bigquery.tables.get",
            "bigquery.tables.getIamPolicy",
            "bigquery.tables.list",
            "iam.roles.get",
            "iam.roles.list",
            "iam.serviceAccounts.create",
            "iam.serviceAccounts.list",
            "resourcemanager.folders.create",
            "resourcemanager.folders.delete",
            "resourcemanager.folders.get",
            "resourcemanager.folders.getIamPolicy",
            "resourcemanager.folders.list",
            "resourcemanager.folders.move",
            "resourcemanager.folders.setIamPolicy",
            "resourcemanager.folders.undelete",
            "resourcemanager.organizations.get",
            "resourcemanager.organizations.getIamPolicy",
            "resourcemanager.organizations.setIamPolicy",
            "resourcemanager.projects.create",
            "resourcemanager.projects.delete",
            "resourcemanager.projects.get",
            "resourcemanager.projects.getIamPolicy",
            "resourcemanager.projects.list",
            "resourcemanager.projects.move",
            "resourcemanager.projects.setIamPolicy",
            "resourcemanager.projects.update",
            "storage.buckets.create",
            "storage.buckets.createTagBinding",
            "storage.buckets.delete",
            "storage.buckets.deleteTagBinding",
            "storage.buckets.get",
            "storage.buckets.getIamPolicy",
            "storage.buckets.list",
            "storage.buckets.listTagBindings",
            "storage.buckets.setIamPolicy",
            "storage.buckets.update"
        ],
        "updated_at": null,
        "updated_by": null,
        "signed_off_at": null,
        "signed_off_by": null,
        "notification_response_infos": [],
        "notification_status": "UNKNOWN",
        "waypoint": {
            "id": "organizations/123456789012_policy_role_binding0",
            "name": "CookieAIDevServicePrincipalRole",
            "type": "GoogleCloudIamRoleBinding"
        },
        "action_log_entries": [],
        "decision": "NONE",
        "notes": "",
        "reviewers": [
            {
                "user_type": "localCookieUser",
                "id": "e3ac5e6a-1946-4688-82a7-8a607133a1c8",
                "email": "cookie@cookie.ai",
                "name": "External User"
            }
        ],
        "signed_off_state": "NOT_SIGNED_OFF",
        "reviewer_assignment": null,
        "joined_nodes": {
            "idp": {
                "canonical_name": "Jane Doe",
                "department": "Engineering",
                "email": "jdoe@cookiebeta.ai",
                "identity_type": "HUMAN",
                "is_active": true,
                "manager_email": "manager@cookiebeta.ai",
                "name": "jdoe",
                "type": "OAA.custom_idp.IDPUser"
            }
        }
    }
}
```

See [List Certification Results](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccesscertresults.md#enrichment-fields) for a description of the `tags` and `joined_nodes` enrichment fields.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/getaccesscertresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
